<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>RestClient</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>RestClient</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLAttribute"></span>
                    UMLAttribute
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='7509e2c2e6188caa1c4f143a6d87cb8b.html'><span class='node-icon _icon-UMLModel'></span>Interactions</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='341c7df429de369b1a79a9b84b71abc1.html'><span class='node-icon _icon-UMLCollaboration'></span>SCADA-WebService</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='5cda1b06ab14e293c5faaf3f7cebd34d.html'><span class='node-icon _icon-UMLAttribute'></span>RestClient</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>RestClient</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>isStatic</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>type</td>
        <td><a href='a2254bca24b8a743677b650e9cd08285.html'><span class='node-icon _icon-UMLClass'></span>«Singleton»Client</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>multiplicity</td>
        <td>1</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isReadOnly</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isOrdered</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isUnique</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>defaultValue</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isDerived</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>aggregation</td>
        <td>none</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isID</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='dac91c6b4db78090cdf6271fc2ed68c4.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='891b96ad4a7fb97e7404fc3b2a4c3531.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='021a73054c9e9ce46c26feeca819ac8d.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='88231fbac76d3a57a3f75354a46f242f.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='41ffd9d70007bb69b54446bc98543649.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='0caf73f5486e2805e52ab47b70a99488.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='735003dc853ca8e3f5d83e1ae374bcd7.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='25558274c2ce5f66fbc475cdc22b530d.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='108cfe019fc30d1b463196ceb7814024.html'><span class='node-icon _icon-UMLConnector'></span>(SuperService—RestClient)</a></li>
        
        <li><a href='84a299fad3fb4f92ce1a08d0637cf67d.html'><span class='node-icon _icon-UMLConnector'></span>(SuperService—RestClient)</a></li>
        
        <li><a href='5dc7ce03288d78552a5277b049d6eb8c.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='271d310b8f015c1793a7b741b50dd6ea.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='00b8e1be29cf4fe6ab64b2e9fb69ff71.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='6040813dd279e04ec1cdb86251ca33cb.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='d46c0eabe7767001a83f4432612be061.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='88231fbac76d3a57a3f75354a46f242f.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='41ffd9d70007bb69b54446bc98543649.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='0caf73f5486e2805e52ab47b70a99488.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='735003dc853ca8e3f5d83e1ae374bcd7.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
        <li><a href='25558274c2ce5f66fbc475cdc22b530d.html'><span class='node-icon _icon-UMLConnector'></span>(RestClient—ODL_Rest)</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
